Subject: Re: window disappear
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 8 Sep 2001 18:21:24 +0200

[email-masked] schrieb am 2001-09-08, 16:37:

>>[email-masked] schrieb am 2001-09-08, 10:13:
>>
>>>I've just installed cygwin on the windows 98 platform. I've used the
>>>setup.exe.
>>>
>>>But when I start cygwin after the installation, the cygwin window disappear
>>>after a second.
>>>
>>
>>I got similar problems using rxvt on win98. At the end i figured out that
>>i had not enough memory (only 64MB) and the scroll buffer in rxvt was set
>>to 1000 lines, so if there were some other processes running, the memory
>>was too short.
>
>How did you find out of that and how did you fix it?
>
>Camilla

Well, I found it 'by accident'. I installed several versions with different
settings for rxvt and I was sure it worked as I first tried out.
As I tried again after a fresh boot, it worked and later after using 
several other applications at the same time like word and explorer it doesn't
work like before, the window disappears immediatly. 

But i never saw this problem with cmd.exe (i use cmd.exe from windows2k on 
win98 because command.com isn't that nice).

There is not a real fix, i reduced the size of the scrollbuffer for rxvt
to 400. Most time i work on another box where i got enough memory.

All in one line:
================
H:\bin\rxvt.exe -geometry 90x30 -bg black -fg grey -cr red -sr -sl 1000 
 -fn "Lucida Console-14" -tn rxvt -ls -e /usr/bin/bash --login -i

Try this and if it doesn't work reduce '-sl 1000' to '-sl 500' or 250.
(Adjust the path to rxvt!)

The best fix would be to buy some more ram modules.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/